 /* TITULO */
.titulo { 
  font-size:250px; 
  font-family:"futura-pt", sans-serif; 
  color:#1c1c1c; 
  text-align:center; }
  
/* GRID */
.slider-vertical {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-auto-rows: auto;
  gap: 40px;
  padding: 100px 50px;
  grid-template-areas:
    "texto1 . . img1 "
    " . img4 . img2 "
    ". img3  img5 texto2"
    "img6 texto3 img7 img10"
    " img8 img9 . . "
  
}

.texto1 { grid-area: texto1; }
.texto2 { grid-area: texto2; }
.texto3 { grid-area: texto3; }
.img1 { grid-area: img1; }
.img2 { grid-area: img2; }
.img3 { grid-area: img3; }
.img4 { grid-area: img4; }
.img5 { grid-area: img5; }
.img6 { grid-area: img6; }
.img7 { grid-area: img7; }
.img8 { grid-area: img8; }
.img9 { grid-area: img9; }
.img10 { grid-area: img10; }

.slide { 
  position:relative; 
  height:100vh; 
  display:flex; 
  align-items:center;
 justify-content:center; 
 overflow:hidden; }



/* TEXTO */
.texto {
  font-size: 1rem;
  line-height: 1.6;
  text-align: justify;

}

/* IMAGENES */
.imagenes {
  display: contents; 
}
.imagenes img{
  width: 100%;
  object-fit: cover;
}

/* IMAGENES APARECEN CON EL SCROLL */
.reveal {
  opacity: 0;
  transform: translateY(40px);
  transition: opacity 1s ease, transform 1.2s ease;
}
.reveal.visible {
  opacity: 1;
  transform: translateY(0);
}


/* MOVIL */

@media (max-width: 768px) {
  .slider-vertical{
    display: grid;
    grid-template-columns: 1fr;
    grid-auto-rows: auto;
    gap: 20px;
    width: 80%;
    justify-content: center;
    grid-template-areas:
      "texto1"
      "img1"
      "img2"
      "texto2"
      "img3"
      "img4"
      "img5"
      "texto3"
      "img6"
      "img7"
      "img8"
      "img9"
      "img10";
  }
  
  .titulo { 
    font-size: 4rem; 
    text-align: center; }
  .texto { font-size: 0.7rem; 
    max-width: 100%; }
  .imagenes { width: 100%; 
    height: auto; }
}
